Get K8 Cluster
Get K8 cluster
Request
URI
GET
https://{server}/hybridity/api//infra/k8s/clusters/{clusterId}
COPY
Path Parameters
string
clusterId
Required
clusterId
Responses
200
returns cluster with given id
Returns
cluster
of type(s)
application/json
{
"id": "string",
"clusterName": "string",
"clusterType": "string",
"vsphereClusterName": "string",
"managementClusterId": "string",
"hcxUUID": "string",
"status": "string",
"clusterTemplate": {
"name": "string",
"version": "string",
"id": "string"
},
"clusterConfig": "clusterConfig.yaml Object",
"clusterId": "string",
"clusterUrl": "string",
"kubeConfig": "string",
"masterNodes": [
{
"cpu": 0,
"memory": 0,
"name": "string",
"networks": [
{
"label": "string",
"networkName": "string"
}
],
"storage": 0,
"replica": 0,
"labels": [
"string"
],
"cloneMode": "string"
}
],
"workerNodes": [
{
"cpu": 0,
"memory": 0,
"name": "string",
"networks": [
{
"label": "string",
"networkName": "string"
}
],
"storage": 0,
"replica": 0,
"labels": [
"string"
],
"cloneMode": "string",
"config": {
"cpuManagerPolicy": {
"type": "string",
"policy": "string",
"properties": {
"kubeReserved": {
"cpu": 0,
"memoryInGiB": 0
},
"systemReserved": {
"cpu": 0,
"memoryInGiB": 0
}
}
}
}
}
],
"vimId": "string",
"error": "string"
}
string
id
Optional
id
string
clusterName
Optional
clusterName
string
clusterType
Optional
clusterType
string
vsphereClusterName
Optional
vsphereClusterName
string
managementClusterId
Optional
managementClusterId
string
hcxUUID
Optional
hcxUUID
string
status
Optional
status
string
clusterId
Optional
clusterId
string
clusterUrl
Optional
clusterUrl
string
kubeConfig
Optional
kubeConfig
string
vimId
Optional
vimId
string
error
Optional
error